<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/support vector machine/model/inc/svmData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('svm_data_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">svmData.h</div></div>
</div><!--header-->
<div class="contents">
<a href="svm_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file svmData.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of a struct for storing SVM data.</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;vector&gt;</span>       <span class="comment">// std::vector</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;memory&gt;</span>       <span class="comment">// std::shared_ptr, std::unique_ptr</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#include &quot;<a class="code" href="model_data_8h.html">modelData.h</a>&quot;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="scaler_8h.html">scaler.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#include &quot;<a class="code" href="kernel_8h.html">kernel.h</a>&quot;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="foldopen" id="foldopen00031" data-start="{" data-end="};">
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">   31</a></span>    <span class="keyword">enum</span> <a class="code hl_enumeration" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a> {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_enumvalue" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887ae0c0181a2948647ea58c0940cce1b47e">RBF</a>                   </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887ae0c0181a2948647ea58c0940cce1b47e">   33</a></span>    };</div>
</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="foldopen" id="foldopen00040" data-start="{" data-end="};">
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html">   40</a></span>    <span class="keyword">struct </span><a class="code hl_struct" href="structmelon_1_1_svm_data.html">SvmData</a> : <span class="keyword">public</span> <a class="code hl_struct" href="struct_model_data.html">ModelData</a> {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#a91b7f46819897d76e7b3d69352f8bcad">   41</a></span>        <span class="keywordtype">double</span> <a class="code hl_variable" href="structmelon_1_1_svm_data.html#a91b7f46819897d76e7b3d69352f8bcad">rho</a>;                                             </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#a8701eee707298b7fe840bea845e8912e">   42</a></span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_variable" href="structmelon_1_1_svm_data.html#a8701eee707298b7fe840bea845e8912e">supportVectors</a>;        </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#a02125fa378b434a59489fe68867a9c54">   43</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_svm_data.html#a02125fa378b434a59489fe68867a9c54">dualCoefficients</a>;                   </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#a63b5cf742541499e1f7cb0a3bae170bd">   45</a></span>        <a class="code hl_enumeration" href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">KERNEL_FUNCTION</a> <a class="code hl_variable" href="structmelon_1_1_svm_data.html#a63b5cf742541499e1f7cb0a3bae170bd">kernelFunction</a>;                         </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#a4584851c196fdb3a1f53ea734cb24ca7">   46</a></span>        std::vector&lt;double&gt; <a class="code hl_variable" href="structmelon_1_1_svm_data.html#a4584851c196fdb3a1f53ea734cb24ca7">kernelParameters</a>;                   </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#aa59d2ea919c99ce32643810d96be322c">   48</a></span>        std::shared_ptr&lt;const ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_svm_data.html#aa59d2ea919c99ce32643810d96be322c">inputScalerData</a>;      </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="structmelon_1_1_svm_data.html#abd271036f149a4d666c6a52c5798bd22">   49</a></span>        std::shared_ptr&lt;const ScalerData&gt; <a class="code hl_variable" href="structmelon_1_1_svm_data.html#abd271036f149a4d666c6a52c5798bd22">outputScalerData</a>;     </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    };</div>
</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>}</div>
<div class="ttc" id="akernel_8h_html"><div class="ttname"><a href="kernel_8h.html">kernel.h</a></div></div>
<div class="ttc" id="amodel_data_8h_html"><div class="ttname"><a href="model_data_8h.html">modelData.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="anamespacemelon_html_ae9d1641da9e08a0d25d8d6cefcc92887"><div class="ttname"><a href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887">melon::KERNEL_FUNCTION</a></div><div class="ttdeci">KERNEL_FUNCTION</div><div class="ttdoc">enum for representing different kernel functions</div><div class="ttdef"><b>Definition</b> svmData.h:31</div></div>
<div class="ttc" id="anamespacemelon_html_ae9d1641da9e08a0d25d8d6cefcc92887ae0c0181a2948647ea58c0940cce1b47e"><div class="ttname"><a href="namespacemelon.html#ae9d1641da9e08a0d25d8d6cefcc92887ae0c0181a2948647ea58c0940cce1b47e">melon::RBF</a></div><div class="ttdeci">@ RBF</div><div class="ttdef"><b>Definition</b> svmData.h:32</div></div>
<div class="ttc" id="ascaler_8h_html"><div class="ttname"><a href="scaler_8h.html">scaler.h</a></div></div>
<div class="ttc" id="astruct_model_data_html"><div class="ttname"><a href="struct_model_data.html">ModelData</a></div><div class="ttdoc">Abstract class from which specific model data object can be derived and enabling polymorphism.</div><div class="ttdef"><b>Definition</b> modelData.h:22</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html"><div class="ttname"><a href="structmelon_1_1_svm_data.html">melon::SvmData</a></div><div class="ttdoc">Struct containing all information regarding the support vector machine.</div><div class="ttdef"><b>Definition</b> svmData.h:40</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_a02125fa378b434a59489fe68867a9c54"><div class="ttname"><a href="structmelon_1_1_svm_data.html#a02125fa378b434a59489fe68867a9c54">melon::SvmData::dualCoefficients</a></div><div class="ttdeci">std::vector&lt; double &gt; dualCoefficients</div><div class="ttdef"><b>Definition</b> svmData.h:43</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_a4584851c196fdb3a1f53ea734cb24ca7"><div class="ttname"><a href="structmelon_1_1_svm_data.html#a4584851c196fdb3a1f53ea734cb24ca7">melon::SvmData::kernelParameters</a></div><div class="ttdeci">std::vector&lt; double &gt; kernelParameters</div><div class="ttdef"><b>Definition</b> svmData.h:46</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_a63b5cf742541499e1f7cb0a3bae170bd"><div class="ttname"><a href="structmelon_1_1_svm_data.html#a63b5cf742541499e1f7cb0a3bae170bd">melon::SvmData::kernelFunction</a></div><div class="ttdeci">KERNEL_FUNCTION kernelFunction</div><div class="ttdef"><b>Definition</b> svmData.h:45</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_a8701eee707298b7fe840bea845e8912e"><div class="ttname"><a href="structmelon_1_1_svm_data.html#a8701eee707298b7fe840bea845e8912e">melon::SvmData::supportVectors</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; supportVectors</div><div class="ttdef"><b>Definition</b> svmData.h:42</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_a91b7f46819897d76e7b3d69352f8bcad"><div class="ttname"><a href="structmelon_1_1_svm_data.html#a91b7f46819897d76e7b3d69352f8bcad">melon::SvmData::rho</a></div><div class="ttdeci">double rho</div><div class="ttdef"><b>Definition</b> svmData.h:41</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_aa59d2ea919c99ce32643810d96be322c"><div class="ttname"><a href="structmelon_1_1_svm_data.html#aa59d2ea919c99ce32643810d96be322c">melon::SvmData::inputScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; const ScalerData &gt; inputScalerData</div><div class="ttdef"><b>Definition</b> svmData.h:48</div></div>
<div class="ttc" id="astructmelon_1_1_svm_data_html_abd271036f149a4d666c6a52c5798bd22"><div class="ttname"><a href="structmelon_1_1_svm_data.html#abd271036f149a4d666c6a52c5798bd22">melon::SvmData::outputScalerData</a></div><div class="ttdeci">std::shared_ptr&lt; const ScalerData &gt; outputScalerData</div><div class="ttdef"><b>Definition</b> svmData.h:49</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_51db22d99c35dd018399ec0b06c30570.html">support vector machine</a></li><li class="navelem"><a class="el" href="dir_6448501517318dc42448859904d23531.html">model</a></li><li class="navelem"><a class="el" href="dir_029b1e11e365d2b6cc58f169d713c415.html">inc</a></li><li class="navelem"><a class="el" href="svm_data_8h.html">svmData.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
